// eslint-disable-next-line @typescript-eslint/triple-slash-reference
/// <reference types="astro/client" />

declare global {
  // eslint-disable-next-line @typescript-eslint/consistent-type-definitions
  interface Window {
    "Re-Nav": {
      decodeBase64<T>(base64: string): T;
      encodeBase64(source: any): string;
      share(redirect: Redirect): string;
    };
  }

  type Redirect = {
    matcherType: string;
    matcherValue: string;
    redirectType: string;
    redirectValue: string;
  };
}

// Make TypeScript see this file as a module.
export {};
